Subject: Re: bug#46274: 28.0.50; Inconsistent doc for syntax-propertize-function

From: Stefan Monnier <[email-masked]>
Date: Thu, 04 Feb 2021 15:34:33 -0500

>> C-h v syntax-propertize-function contains this text:
>>
>> The specified function may call `syntax-ppss' on any position
>> before END, but if it calls `syntax-ppss' on some
>> position and later modifies the buffer on some earlier position,
>> then it is its responsibility to call `syntax-ppss-flush-cache' to flush
>> the now obsolete ppss info from the cache.
>>
>> But (info "(elisp) Syntax Properties") has a different view:
>>
>> It is allowed to call ‘syntax-ppss’ on any position before END.
>> However, it should not call ‘syntax-ppss-flush-cache’; so, it is not
>> allowed to call ‘syntax-ppss’ on some position and later modify the
>> buffer at an earlier position.
>>
>> Which is the right one?
>
> Good question.  Stefan M added to the CCs.

I think the docstring is the one that's more right (especially since
there is a fair number of syntax-propertize-functions which do call
‘syntax-ppss-flush-cache’).

        Stefan